Description

The data transmitters bandwidth values are wrong.
Example:

from part.cfg

titte = Comms DTS-M1

packetinterval = 0.3

packetSize = 2

Displayed value in game: 0.6Mbit/Sec

which is wrong, since calculating the speed is: MBit divided by time.

In game it's multiplied, not divided. So the code is most likely:

packetSize * packetinterval , and it should be: packetSize / packetinterval

So in game it seems that every new antenna is slower and requires more energy to operate. But that's not the case.

History

#1 - 01/12/2014 12:57 AM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

"In game it's multiplied" - only for the displayed value in the parts catalog, it preforms in flight as per the config file.

#2 - 05/13/2015 11:42 AM - xZise

Okay after the 1.0.2 release | rechecked it and it's still a valid bug. I've send 174 Mits of data in 53.3 seconds with a Communotron 16 which is about
3.33 Mits/s which is what | get: 2 Mit/packet/0.6 seconds/packet = 3.33.. Mit/second

And this is exactly what the author suggested and only applies to the tooltip.
#3 - 07/17/2016 09:29 AM - TriggerAu

- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 11/11/2016 01:25 PM - sal_vager
- Status changed from Needs Clarification to Ready to Test

- % Done changed from 0 to 80

Antenna were reworked for commnet in 1.2

#5 - 12/03/2016 08:01 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100
